#include <stdio.h>

long long sum(long long n)
{
  long long s=0;
  for(long long i=1;i<=n;i++)
    s+=i;
  return s;
}

main()
{
  long long t, n, m, k;
  scanf("%lld", &t);
  for(int i=0;i<t;i++)
  {
    scanf("%lld %lld %lld", &n, &m, &k);
    if(sum(n-k+1)+k-1<=m)
      printf("Tak\n");
    else
      printf("Nie\n");
  }
}